Skip to main content

GET /api/farcaster/recent

Recent popular casts

GET recent data from farcaster service

Endpoint​

GET https://api.web3identity.com/api/farcaster/recent

Example Request​

curl -s "https://api.web3identity.com/api/farcaster/recent" | jq

Responses​

200 Success​

{
"casts": [
{
"hash": "0xabc123",
"text": "Recent cast example",
"author": {
"fid": 456,
"username": "alice"
},
"timestamp": 1707393600000,
"reactions": {
"likes": 10
}
}
]
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required​

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec